# skbio.alignment.TabularMSA.__len__

`TabularMSA.``__len__`()

  Number of sequences in the MSA.

  State: Experimental as of 0.4.1.

  Returns:

  int

  > Number of sequences in the MSA (i.e., size of the 1st dimension).

  Notes

  This is equivalent to `msa.shape[0]`.

  Examples

      >>> from skbio import DNA, TabularMSA
      >>> msa = TabularMSA([DNA('ACG'), DNA('AC-')])
      >>> len(msa)
      2
      >>> msa = TabularMSA([])
      >>> len(msa)
      0